/*
  ORDMotorsExample.pde - Example of use library for ORDuino Module
*/
	
/*
 * Written by Konstantin Kostyuk et al., Sep 05, 2010.
 * Copyright (c) 2010 4Robots. For more information, see
 * Ver: 0.1 05.09.2010
 *
 *   http://www.4Robots.ru
 *   http://www.Ardubot.ru
 *   http://roboforum.ru/wiki/Open_Robotics
 *
 * You may freely modify and share this code, as long as you keep this
 * notice intact (including the 3 links above).  Licensed under the
 * Creative Commons BY-SA 3.0 license:
 *
 *   http://creativecommons.org/licenses/by-sa/3.0/
 *
 */
 
#include <ORDMotors.h>
#define LED 13   // LED connected to

ORDMotors Bot;
int i = 0;

void setup()  
{
  pinMode(LED, OUTPUT);    
}


void loop() 
{
//go forward  
  digitalWrite(LED, HIGH);     // turns the LED on
  Bot.setSpeeds(MOTOR_MAX, MOTOR_OFF); // go forward as fast as possible
  delay(2000);                 // waits for a second

  digitalWrite(LED, LOW);     // turns the LED on
  Bot.setSpeeds(MOTOR_OFF, MOTOR_MAX); // go forward as fast as possible
  delay(2000);                 // waits for a second
  Bot.setSpeeds(MOTOR_OFF, MOTOR_OFF); // Stop
  delay(4000);
//go backward 
  digitalWrite(LED, HIGH);     // turns the LED on
  Bot.setSpeeds(-MOTOR_MAX, MOTOR_OFF); // go as fast as possible
  delay(2000);                 // waits for a second

  digitalWrite(LED, LOW);     // turns the LED on
  Bot.setSpeeds(MOTOR_OFF, -MOTOR_MAX); // go as fast as possible
  delay(2000);                 // waits for a second
  Bot.setSpeeds(MOTOR_OFF, MOTOR_OFF); // Stop  
  delay(4000);  
}
